## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCaseSimpleContent

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  ValueExpressionCaseSimpleContentImpl

    public interface ValueExpressionCaseSimpleContent

extends SQLQueryObject

A representation of the model object 'SQL Value Expression Case Simple Content'.

The following features are supported:

- `Value Expr Case Simple`
- `When Value Expr`
- `Result Value Expr`

See Also:
  `SQLQueryModelPackage.getValueExpressionCaseSimpleContent()`

Method Summary
`QueryValueExpression` `getResultValueExpr()` Returns the value of the 'Result Value Expr' containment reference.
`ValueExpressionCaseSimple` `getValueExprCaseSimple()` Returns the value of the 'Value Expr Case Simple' container reference.
`QueryValueExpression` `getWhenValueExpr()` Returns the value of the 'When Value Expr' containment reference.
`void` `setResultValueExpr(QueryValueExpression value)` Sets the value of the '`Result Value Expr`' containment reference.
`void` `setValueExprCaseSimple(ValueExpressionCaseSimple value)` Sets the value of the '`Value Expr Case Simple`' container reference.
`void` `setWhenValueExpr(QueryValueExpression value)` Sets the value of the '`When Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExprCaseSimple

    ValueExpressionCaseSimple getValueExprCaseSimple()

  Returns the value of the 'Value Expr Case Simple' container reference. It is bidirectional and its opposite is '`Content List`'.

  If the meaning of the 'Value Expr Case Simple' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Simple' container reference.
  See Also:
    `setValueExprCaseSimple(ValueExpressionCaseSimple)`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent_ValueExprCaseSimple()`, `ValueExpressionCaseSimple.getContentList()`

### setValueExprCaseSimple

    void setValueExprCaseSimple(ValueExpressionCaseSimple value)

  Sets the value of the '`Value Expr Case Simple`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Simple' container reference.
  See Also:
    `getValueExprCaseSimple()`

### getWhenValueExpr

    QueryValueExpression getWhenValueExpr()

  Returns the value of the 'When Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Case Simple Content When`'.

  If the meaning of the 'When Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'When Value Expr' containment reference.
  See Also:
    `setWhenValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent_WhenValueExpr()`, `QueryValueExpression.getValueExprCaseSimpleContentWhen()`

### setWhenValueExpr

    void setWhenValueExpr(QueryValueExpression value)

  Sets the value of the '`When Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'When Value Expr' containment reference.
  See Also:
    `getWhenValueExpr()`

### getResultValueExpr

    QueryValueExpression getResultValueExpr()

  Returns the value of the 'Result Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Case Simple Content Result`'.

  If the meaning of the 'Result Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Value Expr' containment reference.
  See Also:
    `setResultValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent_ResultValueExpr()`, `QueryValueExpression.getValueExprCaseSimpleContentResult()`

### setResultValueExpr

    void setResultValueExpr(QueryValueExpression value)

  Sets the value of the '`Result Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Result Value Expr' containment reference.
  See Also:
    `getResultValueExpr()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.